Profile tutorial

In this tutorial we will open a drawing and create the toolpaths to cut out the part.

The first group of icons on the left hand side control how the drawing is displayed. Experiment with the first three to see what they do.

Show the input paths. This shows or hides your drawing

Show segment ends. This highlights the start and end points of each line or arc segment in the drawing. The curves in this drawing consist of lots of small line segments so they show up as almost completely white.

Show path ends. This highlights the start and end points of all open paths. In this case the line underneath the text is an open path because it has a start and an end point. The text consists of closed paths which have no fixed start and end points.

For the purposes of this tutorial we are working in millimetres so go to Options->Units and make sure linear units are set to mm and feed rate is set to mm/min then click on OK. If you prefer inches then you can change the units when you have finished the tutorial

Next>>


Setting up the machine and work

Setting up the machine

Make sure the Show machine and material button [image] is down. This displays the machine and material.

Now click on Options->Machine. The display will zoom to fit the machine.

Let's assume out machine table is 2 feet square with a useable area of 22" by 20". The bottom left hand corner of the useable area is at coordinate 0,0.

In the Machine origin box, click on the bottom left hand corner marker. This tells SheetCam that the origin is the bottom left hand corner.

The Working Envelope is the useable area so enter 22" in the X size and 20" in the Y size (include the " to tell SheetCam these measurements are in inches). Note that as soon as you exit each edit box the value is converted to millimetres for you. Notice that the main drawing display changes as you change the dimensions so you get an idea what the table looks like.

The table is larger than the actual useable area so we need to enter the size and position of the table. Enter -1" and -2" for the X and Y coordinates of the table bottom left and 2 feet for the table X and Y sizes.

.

We won't be using the max clearance between the chuck and table so leave it as it is. Click on OK.


Setting up the machine and work

Setting up the material

Now click on Options->Material. The display will zoom and rotate to fit the material.

We will be cutting this sign out of a 300mm x 200mm sheet of 6mm plastic that is clamped to the table with it's bottom left hand corner at X=50mm,Y=50mm. As we intend to cut the parts out completely the sheet is clamped on to a piece of 0.25in board to allow the cutter to cut right through without damaging the table.

Enter the dimensions and position of the material in the first 5 boxes. The main display will resize to show the material as you enter the values. To be safe we will run the cutter 4mm above the panel when moving between cuts so enter 4 in the Rapid clearance box. The sacrificial board is 0.25in thick so enter 0.25in for the height of the work above the table

Now click on OK


No title

Defining a tool

Now we have set up the machine we need to define the tool that we will cut the part out with.

For this job we will use a 30mm long 3mm spiral router with 10mm flute length. The spindle speed will be 10000RPM and the feed rate will be 500mm/min.The maximum safe cut depth per pass in this material is 2mm. On the machine it is tool number 3

Click on the new tool icon [image] to bring up the tool dialog box.

Enter 3 in the tool number and select Mill/Router as the tool type. Now enter the diameter and flute length. The tool length offset is useful if you are using multiple tool holders or are using an autolock type chuck. You can enter the tool projection here so SheetCam can automatically compensate for different length tools. This will either be done by offsetting the Z position or specifying the tool length if your machine understands tool length offsets. As we are only using one tool, just enter 0 here.

In Z increment enter 2 as this is the maximum cut depth per pass. We will plunge the tool in at a slower rate so enter 200 in the plunge rate. Leave the ramp angle at 0 degrees. Tool projection is the amount the tool protrudes out of the chuck. In this case we will assume that it is 15mm.

Click on OK to save the tool.


No title

Define a cut process

Now we have defined the tool we need to use it to cut the letters out.

Press the Zoom to fit material button [image] to show the drawing. Now press theCreate a new contour process button [image] to create a new contour process.

We want to cut the letters out of the sheet so select Outside offset in the contour method box. Select the TEXT layer in the Layer drop down list. Select tool 3 in the Tool list. Doing this sets most of the parameters from the tool definition we did earlier.

We want to cut right through the material and slightly into the sacrificial board so enter 6.25 in the cut depth box.

The box on the bottom right shows how many passes the cutter will make to cut through the material.

If you hover the mouse over the Z increment box a box will pop telling you that the cutter will make 3 passes of 2mm and one of 0.25mm. This is not ideal for this job so change the Z increment to 1.8. The cutter will now make 3 passes of 1.8mm, leaving 0.6mm of material left for the last cut.

Now click on OK to save the changes.


then click on the generate tool paths button to create the tool paths.

Generate the tool paths.

The toolpaths will now be created. While the paths are being calculated an animated icon [image] will be displayed. As this is a very simple job the icon will disappear very quickly.

SheetCam has worked out that the inside of the A has to be cut on the opposite side. It will also be cut before the outside. The cutter has followed the line exactly because SheetCam does not know what to do with it. Note that the process has turned yellow to warn you that there is a problem. If you hover the mouse over the process a message will pop up, telling you what the problem is.

Experiment with the Show toolpaths [image], Show rapid moves [image] and Show path directions [image] buttons to see what effect they have on the display.

You can drag the display around with the mouse and zoom in/out by using the mouse wheel or by holding down the right mouse button and moving the mouse up and down. You can rotate the display by holding the shift key then dragging it with the mouse.

As we are only interested in cutting out the letters there is no point in cutting the line. To stop SheetCam from cutting it we need to move it to another layer. Click on the Contour properties button [image] then click on the line. It will be highlighted in white. While you are in this mode you can scroll the display around by holding the shift key and dragging with the mouse or using the arrow keys. Now right click and select Move to layer>New layer and type anything in for the new layer name. We will deal with layers in more detail in another tutorial.


Generating the G-code

Now we have defined what is to happen we can generate the G-code ready for the machine to run.

Click on the Run post processor button [image] to generate the G-code. If this is the first time you have post processed a drawing then you may be asked to select a post processor to run. Try to choose one that best fits your machine.

You will then be prompted for the filename for the g-code file you are about to create.

You have now successfully created your first g-code with SheetCam.

<<Previous